[Pkg-voip-commits] r3669 - in openh323/trunk/debian: . patches

msp at alioth.debian.org msp at alioth.debian.org
Mon Jun 18 17:37:00 UTC 2007


Author: msp
Date: 2007-06-18 17:37:00 +0000 (Mon, 18 Jun 2007)
New Revision: 3669

Added:
   openh323/trunk/debian/patches/50_dbug426631.dpatch
   openh323/trunk/debian/patches/55_dbug426681.dpatch
Modified:
   openh323/trunk/debian/changelog
Log:
* Patches after discussion with Faidon Liambotis at DebConf7
  - Should use libgsm instead of embedding a copy (Closes: #426681)
  - Should use libspeex instead of embedding a copy (Closes: #426631)

Modified: openh323/trunk/debian/changelog
===================================================================
--- openh323/trunk/debian/changelog	2007-06-18 09:44:11 UTC (rev 3668)
+++ openh323/trunk/debian/changelog	2007-06-18 17:37:00 UTC (rev 3669)
@@ -1,12 +1,18 @@
 openh323 (1.18.0.dfsg-2) UNRELEASED; urgency=low
 
+  [ Kilian Krause ]
   * NOT RELEASED YET
   * ixjuser.h.dpatch, ixjlid.h.dpatch: Fix compilation without compiler.h
     header on Ubuntu.
   * Build opt and debug versions of library. (Closes: #345512)
 
- -- Kilian Krause <kilian at debian.org>  Fri,  5 Jan 2007 00:21:08 +0100
+  [ Mark Purcell ]
+  * Patches after discussion with Faidon Liambotis at DebConf7
+    - Should use libgsm instead of embedding a copy (Closes: #426681)
+    - Should use libspeex instead of embedding a copy (Closes: #426631)
 
+ -- Mark Purcell <msp at debian.org>  Mon, 18 Jun 2007 18:35:09 +0100
+
 openh323 (1.18.0.dfsg-1) unstable; urgency=high
 
   [ Kilian Krause ]

Added: openh323/trunk/debian/patches/50_dbug426631.dpatch
===================================================================
--- openh323/trunk/debian/patches/50_dbug426631.dpatch	                        (rev 0)
+++ openh323/trunk/debian/patches/50_dbug426631.dpatch	2007-06-18 17:37:00 UTC (rev 3669)
@@ -0,0 +1,47 @@
+#! /bin/sh -e
+## 50_dbug426631.dpatch by Faidon Liambotis
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: http://bugs.debian.org/426631
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+--- openh323-1.18.0.dfsg.orig/plugins/configure 2006-10-22 15:25:38.000000000 +0300
++++ openh323-1.18.0.dfsg/plugins/configure      2007-05-30 09:40:37.000000000 +0300
+@@ -3243,7 +3243,7 @@
+       printf("%s\n", header.speex_version);
+     }
+ C_FILE
+-    cc -o t t.c -lspeex > /dev/null 2>&1
++    cc -o t t.c -I/usr/include/speex -lspeex > /dev/null 2>&1
+     if test \! -x t ; then
+       echo "$as_me:$LINENO: result: cannot determine - using library version" >&5
+ echo "${ECHO_T}cannot determine - using library version" >&6
+--- openh323-1.18.0.dfsg.orig/plugins/configure.ac      2006-10-22 15:25:38.000000000 +0300
++++ openh323-1.18.0.dfsg/plugins/configure.ac   2007-05-30 09:38:51.000000000 +0300
+@@ -117,7 +117,7 @@
+       printf("%s\n", header.speex_version);
+     }
+ C_FILE
+-    cc -o t t.c -lspeex > /dev/null 2>&1
++    cc -o t t.c -I/usr/include/speex -lspeex > /dev/null 2>&1
+     if test \! -x t ; then
+       AC_MSG_RESULT(cannot determine - using library version)
+     else

Added: openh323/trunk/debian/patches/55_dbug426681.dpatch
===================================================================
--- openh323/trunk/debian/patches/55_dbug426681.dpatch	                        (rev 0)
+++ openh323/trunk/debian/patches/55_dbug426681.dpatch	2007-06-18 17:37:00 UTC (rev 3669)
@@ -0,0 +1,237 @@
+#! /bin/sh -e
+## 50_dbug426681.dpatch by Faidon Liambotis
+##
+## All lines beginning with `## DP:' are a description of the patch.
+## DP: http://bugs.debian.org/426681
+
+if [ $# -lt 1 ]; then
+    echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+    exit 1
+fi
+
+[ -f debian/patches/00patch-opts ] && . debian/patches/00patch-opts
+patch_opts="${patch_opts:--f --no-backup-if-mismatch} ${2:+-d $2}"
+
+case "$1" in
+    -patch) patch -p1 ${patch_opts} < $0;;
+    -unpatch) patch -R -p1 ${patch_opts} < $0;;
+    *)
+        echo "`basename $0`: script expects -patch|-unpatch as argument" >&2
+        exit 1;;
+esac
+
+exit 0
+
+ at DPATCH@
+diff -Nur openh323-1.18.0.dfsg.openh323-1.18.0.dfsg.orig/plugins/configure openh323-1.18.0.dfsg/plugins/configure
+--- openh323-1.18.0.dfsg.orig/plugins/configure 2006-10-22 15:25:38.000000000 +0300
++++ openh323-1.18.0.dfsg/plugins/configure      2007-05-30 10:23:32.000000000 +0300
+@@ -272,7 +272,7 @@
+ PACKAGE_BUGREPORT=
+ 
+ ac_unique_file="configure.ac"
+-ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC CPP EGREP INSTALLPREFIX LIBDIR build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os LDSO H323_GSMAMR_NB_FLOAT H323_EMBEDDED_GSM H323_SYSTEM_SPEEX LIBOBJS LTLIBOBJS'
++ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS CXX CXXFLAGS LDFLAGS CPPFLAGS ac_ct_CXX EXEEXT OBJEXT CC CFLAGS ac_ct_CC CPP EGREP INSTALLPREFIX LIBDIR build build_cpu build_vendor build_os host host_cpu host_vendor host_os target target_cpu target_vendor target_os LDSO H323_GSMAMR_NB_FLOAT H323_EMBEDDED_GSM H323_SYSTEM_GSM H323_SYSTEM_SPEEX LIBOBJS LTLIBOBJS'
+ ac_subst_files=''
+ 
+ # Initialize some variables set by options.
+@@ -817,6 +817,7 @@
+   --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
+   --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
+   --enable-embeddedgsm    embed GSM codec via static linking
++  --enable-localgsm         use local version of GSM library rather than system version
+   --enable-localspeex       use local version of Speex library rather than system version
+ 
+ Some influential environment variables:
+@@ -3137,6 +3127,100 @@
+ 
+ 
+ 
++H323_SYSTEM_GSM=0
++localgsm="xxx"
++# Check whether --enable-localgsm or --disable-localgsm was given.
++if test "${enable_localgsm+set}" = set; then
++  enableval="$enable_localgsm"
++  localgsm=$enableval
++fi;
++
++if test "${localgsm}" = "yes" ; then
++  { echo "$as_me:$LINENO: Forcing use of local GSM sources" >&5
++echo "$as_me: Forcing use of local GSM sources" >&6;}
++elif test "${localgsm}" = "no" ; then
++  { echo "$as_me:$LINENO: Forcing use of system GSM library" >&5
++echo "$as_me: Forcing use of system GSM library" >&6;}
++  H323_SYSTEM_GSM=1
++else
++  echo "$as_me:$LINENO: checking for gsm_create in -lgsm" >&5
++echo $ECHO_N "checking for gsm_create in -lgsm... $ECHO_C" >&6
++if test "${ac_cv_lib_gsm_gsm_create+set}" = set; then
++  echo $ECHO_N "(cached) $ECHO_C" >&6
++else
++  ac_check_lib_save_LIBS=$LIBS
++LIBS="-lgsm  $LIBS"
++cat >conftest.$ac_ext <<_ACEOF
++/* confdefs.h.  */
++_ACEOF
++cat confdefs.h >>conftest.$ac_ext
++cat >>conftest.$ac_ext <<_ACEOF
++/* end confdefs.h.  */
++
++/* Override any gcc2 internal prototype to avoid an error.  */
++#ifdef __cplusplus
++extern "C"
++#endif
++/* We use char because int might match the return type of a gcc2
++   builtin and then its argument prototype would still apply.  */
++char gsm_create ();
++int
++main ()
++{
++gsm_create ();
++  ;
++  return 0;
++}
++_ACEOF
++rm -f conftest.$ac_objext conftest$ac_exeext
++if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
++  (eval $ac_link) 2>conftest.er1
++  ac_status=$?
++  grep -v '^ *+' conftest.er1 >conftest.err
++  rm -f conftest.er1
++  cat conftest.err >&5
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); } &&
++        { ac_try='test -z "$ac_c_werror_flag"                   || test ! -s conftest.err'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; } &&
++        { ac_try='test -s conftest$ac_exeext'
++  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
++  (eval $ac_try) 2>&5
++  ac_status=$?
++  echo "$as_me:$LINENO: \$? = $ac_status" >&5
++  (exit $ac_status); }; }; then
++  ac_cv_lib_gsm_gsm_create=yes
++else
++  echo "$as_me: failed program was:" >&5
++sed 's/^/| /' conftest.$ac_ext >&5
++
++ac_cv_lib_gsm_gsm_create=no
++fi
++rm -f conftest.err conftest.$ac_objext \
++      conftest$ac_exeext conftest.$ac_ext
++LIBS=$ac_check_lib_save_LIBS
++fi
++echo "$as_me:$LINENO: result: $ac_cv_lib_gsm_gsm_create" >&5
++echo "${ECHO_T}$ac_cv_lib_gsm_gsm_create" >&6
++if test $ac_cv_lib_gsm_gsm_create = yes; then
++  GSM=1
++fi
++
++  if test "x$GSM" != "x"; then
++    H323_SYSTEM_GSM=1
++  fi
++fi
++H323_SYSTEM_GSM=$H323_SYSTEM_GSM
++
++cat >>confdefs.h <<_ACEOF
++#define H323_SYSTEM_GSM $H323_SYSTEM_GSM
++_ACEOF
++
++
+ 
+ localspeex="xxx"
+ # Check whether --enable-localspeex or --disable-localspeex was given.
+@@ -3987,6 +4069,7 @@
+ s, at LDSO@,$LDSO,;t t
+ s, at H323_GSMAMR_NB_FLOAT@,$H323_GSMAMR_NB_FLOAT,;t t
+ s, at H323_EMBEDDED_GSM@,$H323_EMBEDDED_GSM,;t t
++s, at H323_SYSTEM_GSM@,$H323_SYSTEM_GSM,;t t
+ s, at H323_SYSTEM_SPEEX@,$H323_SYSTEM_SPEEX,;t t
+ s, at LIBOBJS@,$LIBOBJS,;t t
+ s, at LTLIBOBJS@,$LTLIBOBJS,;t t
+diff -Nur openh323-1.18.0.dfsg.openh323-1.18.0.dfsg.orig/plugins/configure.ac openh323-1.18.0.dfsg/plugins/configure.ac
+--- openh323-1.18.0.dfsg.orig/plugins/configure.ac      2006-10-22 15:25:38.000000000 +0300
++++ openh323-1.18.0.dfsg/plugins/configure.ac   2007-05-30 10:23:32.000000000 +0300
+@@ -61,30 +61,26 @@
+ 
+ dnl ########################################################################
+ dnl Look for system GSM
+-dnl
+-dnl It would be nice if we could use system GSM libraries, but it 
+-dnl appears that standard builds are not compiled with the WAV49 option
+-dnl Without this, MS-GSM cannot work, so we just don't bother 
+-dnl
+-dnl H323_SYSTEM_GSM=0
+-dnl localgsm="xxx"
+-dnl AC_ARG_ENABLE(localgsm,
+-dnl        [  --enable-localgsm         use local version of GSM library rather than system version],
+-dnl        localgsm=$enableval)
+-dnl 
+-dnl if test "${localgsm}" = "yes" ; then
+-dnl   AC_MSG_NOTICE(Forcing use of local GSM sources)
+-dnl elif test "${localgsm}" = "no" ; then
+-dnl   AC_MSG_NOTICE(Forcing use of system GSM library)
+-dnl   H323_SYSTEM_GSM=1
+-dnl else
+-dnl   AC_CHECK_LIB(gsm, gsm_create, GSM=1)
+-dnl   if test "x$GSM" != "x"; then
+-dnl     H323_SYSTEM_GSM=1
+-dnl   fi
+-dnl fi
+-dnl AC_SUBST(H323_SYSTEM_GSM, $H323_SYSTEM_GSM)
+-dnl AC_DEFINE_UNQUOTED(H323_SYSTEM_GSM, $H323_SYSTEM_GSM)
++
++H323_SYSTEM_GSM=0
++localgsm="xxx"
++AC_ARG_ENABLE(localgsm,
++       [  --enable-localgsm         use local version of GSM library rather than system version],
++       localgsm=$enableval)
++
++if test "${localgsm}" = "yes" ; then
++  AC_MSG_NOTICE(Forcing use of local GSM sources)
++elif test "${localgsm}" = "no" ; then
++  AC_MSG_NOTICE(Forcing use of system GSM library)
++  H323_SYSTEM_GSM=1
++else
++  AC_CHECK_LIB(gsm, gsm_create, GSM=1)
++  if test "x$GSM" != "x"; then
++    H323_SYSTEM_GSM=1
++  fi
++fi
++AC_SUBST(H323_SYSTEM_GSM, $H323_SYSTEM_GSM)
++AC_DEFINE_UNQUOTED(H323_SYSTEM_GSM, $H323_SYSTEM_GSM)
+ 
+ dnl ########################################################################
+ dnl Look for system libspeex
+diff -Nur openh323-1.18.0.dfsg.openh323-1.18.0.dfsg.orig/plugins/audio/GSM0610/Makefile.in openh323-1.18.0.dfsg/plugins/audio/GSM0610/Makefile.in
+--- openh323-1.18.0.dfsg.orig/plugins/audio/GSM0610/Makefile.in 2006-02-20 10:55:03.000000000 +0200
++++ openh323-1.18.0.dfsg/plugins/audio/GSM0610/Makefile.in      2007-05-30 10:30:15.000000000 +0300
+@@ -82,7 +82,7 @@
+ 
+ SRCS   += gsm06_10_codec.c
+ 
+-#ifeq ($(H323_SYSTEM_GSM),0)
++ifeq ($(H323_SYSTEM_GSM),0)
+ 
+ SRCS   += $(SRCDIR)/gsm_create.c \
+            $(SRCDIR)/gsm_destroy.c \
+@@ -101,11 +101,11 @@
+ 
+ EXTRALIBS = 
+ 
+-#else
+-#
+-#EXTRALIBS = -lgsm
+-#
+-#endif
++else
++
++EXTRALIBS = -lgsm
++
++endif
+ 
+ vpath  %.o $(OBJDIR)
+ vpath  %.c $(SRCDIR)




More information about the Pkg-voip-commits mailing list